#!/bin/sh

. /usr/local/lib/enigma2/python/Plugins/Extensions/PKT/wersjal
echo "PKT $wersjal"
echo "PKT $wersjal" > /dev/dbox/vfd  

# copy reference.dat
if [ ! -e /tmp/reference.dat ]; then
  cp /var/bin/reference.dat /tmp
fi

#software flash/usb check
if [ ! -e /usr/local/config/device.conf ]; then
    check_mem=`df / | grep /dev/root | awk '{print $2}'`
    if [ $check_mem == 30080 ]; then
        echo "flash=on" > /usr/local/config/device.conf
    else
        echo "flash=off" > /usr/local/config/device.conf
    fi
fi

#execute external script start.sh from sdb1 - for example: default config
mount /dev/sdb1 /media/usb
if [ -e /media/usb/start.sh ]; then
	cd /media/usb
	chmod a+x start.sh
	./start.sh
fi
umount /media/usb

#EMU start
/usr/lib/enigma2/python/Plugins/Extensions/PKT/emustarter.sh &

#mount /hdd/movie
/usr/lib/enigma2/python/Plugins/Extensions/PKT/mountstarter.sh auto &

#SWAP start
. /usr/local/config/device.conf
if [ $flash == on ]; then
    echo "Image installed on flash, SWAP Disable"
else
    echo "Image installed on usb/sata, SWAP Enable"
    /usr/lib/enigma2/python/Plugins/Extensions/PKT/swapstarter.sh
fi

#revision auto update
if [ ! -e /usr/local/config/revision ]; then
  echo "VERSION="$wersjal > /usr/local/config/revision
fi

#ipkg update
/usr/lib/enigma2/python/Plugins/Extensions/PKT/ipkg.sh update &


   #init rc.modules
   /var/config/rc.modules

   #init rc.user
   /var/config/rc.user &