#!/bin/sh

cd /root
/usr/bin/enigma2

# enigma2 exit codes:
#
# 0 - restart enigma
# 1 - halt
# 2 - reboot
#
# >128 signal

ret=$?
case $ret in
	1)
                echo 0 > /proc/progress
		stfbset -a 0
	        /usr/bin/showiframe /boot/bootlogo.mvi &
		echo "   SHUTDOWN   " > /dev/dbox/vfd
		sleep 5
		/sbin/halt
		;;
	2)
	        echo 0 > /proc/progress
		stfbset -a 0
	        /usr/bin/showiframe /boot/bootlogo.mvi &
		echo "    REBOOT    " > /dev/dbox/vfd
    		sleep 5
    		/sbin/reboot
		;;
	*)
	        echo 0 > /proc/progress
	        /usr/bin/showiframe -p /boot/bootlogo.mvi &
                /etc/init.d/videomode stop  
         	echo "WARM RESTART"
		echo " WARM RESTART" > /dev/dbox/vfd
         	;;

esac


