#!/bin/sh
################################################################################
#                                                                              #
# Polish Koders Team 2010                                                      #
#                                                                              #
# contact: http://pkteam.pl                                                    #
#                                                                              #
################################################################################


#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

info1="_(Server PKT connection test)"
  
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------
echo "_(Network settings:)"

mac=`ifconfig eth0 | grep HWaddr | awk '{print $5}'`
macstatus="_(INVALID MAC address)" 
if [ `echo $mac | grep "00:26"` ] ; then macstatus="_(VALID MAC address)" ; fi
#if [ `echo $mac | grep "00:13"` ] ; then macstatus="_(VALID MAC address)" ; fi
echo "$macstatus: $mac"

adres=`ifconfig eth0 | grep addr: | awk '{gsub(/:/," "); print $3}'`
echo "_(IP address:) $adres"

maska=`ifconfig eth0 | grep addr: | awk '{gsub(/:/," "); print $7}'`
echo "_(Mask:) $maska"

brama=`route| grep default | awk '{gsub(/:/," "); print $2}'`
echo "_(Gate:) $brama"
status="Error _(Gate:) $brama _(doesn't reply for PING!)"
if [ `ping -c 1 $brama | grep "1 packets received" | awk '{print $1}'` ] ; then status="_(Gate:) _(replies for PING)" ; fi
echo $status

dns=`cat /etc/resolv.conf | grep nameserver | awk '{gsub(/:/," "); print "DNS: "$2}'`
echo $dns
status="_(Error) $dns _(doesn't resolve names!)"
if [ `nslookup 'www.wp.pl' | grep "Address" | grep "www.wp.pl" | awk '{print $3}'` ] ; then status="_(Name server resolves names properly)" ; fi
echo $status
echo

echo $info1
echo ""
ping -c 1 pkteam.pl
echo ""

exit 0
