#!/bin/sh

echo "FLASHING" > /dev/dbox/fp0
cd /tmp

if [ -e /tmp/flash_img_* ] || [ -e /tmp/part*.img ]; then

    for i in /bin/busybox /lib/libc.so.6 ; do
      echo "preparing $i"
      cp $i .
    done
    
    export LD_LIBRARY_PATH=.
    
    if [ -e /tmp/part_kernel.img ]; then
        echo erasing mtd2.......
	eraseall /dev/mtd2
	./busybox echo copying
	./busybox cp part_kernel.img /dev/mtd2
    fi

    if [ -e /tmp/part_root.img ]; then
        echo erasing mtd3.......
	eraseall /dev/mtd3
	./busybox echo copying
	./busybox cp part_root.img /dev/mtd3
    fi

    
    if [ -e /tmp/flash_img_noboot ]; then
        echo erasing mtd4.......
	eraseall /dev/mtd4
	./busybox echo copying
	./busybox cp flash_img_noboot /dev/mtd4
    fi
    
./busybox echo reboot now
echo "REBOOT" > /dev/dbox/fp0
./busybox reboot -f

else

echo " No new img in /tmp "

fi
